<?php
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_persetujuan');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();
?>
<div id="page-content-wrapper">
    <div id="page-content">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h3 class="panel-title">
                    <b style="font-family: monospace;">FORM KEPUTUSAN KEBERATAN</b>
                </h3>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <?= $this->form()->openTag($form) ?>
                    <div class="row pad10B">
                        <div class="col-sm-12">
                            <div class="alert alert-success">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data WP & OP</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">NPWP</label>
                            <div class="col-md-4">
                                <?= $this->formHidden($form->get("t_idkeberatan")) ?>
                                <?= $this->formHidden($form->get("t_jenispajak")) ?>
                                <?= $this->formHidden($form->get("t_idwpobjek")) ?>
                                <?= $this->formHidden($form->get("t_jenisketetapan")) ?>
                                <input type="text" id="t_npwpdwp" class="form-control" readonly="" value="<?=$data['t_npwpdwp']?>">
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nama WP</label>
                            <div class="col-md-4">
                                <input type="text" id="t_namawp" class="form-control" readonly="" value="<?=$data['t_namawp']?>">
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Alamat WP</label>
                            <div class="col-md-6">
                                <textarea class="form-control" id="t_alamat_lengkap" readonly=""><?=$data['t_alamat_lengkapwp']?></textarea>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">NOP</label>
                            <div class="col-md-4">
                                <input type="text" id="t_nop" class="form-control" readonly="" value="<?=$data['t_nop']?>">
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nama OP</label>
                            <div class="col-md-4">
                                <input type="text" id="t_namaobjek" class="form-control" readonly="" value="<?=$data['t_namaobjek']?>">
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Alamat OP</label>
                            <div class="col-md-6">
                                <textarea class="form-control" id="t_alamatlengkapobjek" readonly=""><?=$data['t_alamatlengkapobjek']?></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="row pad10B">
                        <div class="col-sm-12">
                            <div class="alert alert-success">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data Ketetapan</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nama Ketetapan</label>
                            <div class="col-md-2">
                                <?= $this->formHidden($form->get("t_idketetapan")) ?>
                                <input type="text" id="t_namaketetapan" class="form-control" readonly="" value="<?=$jenisketetapan?>">
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">No. Ketetapan</label>
                            <div class="col-md-2">
                                <input type="text" id="t_nopenetapan" class="form-control" readonly="" value="<?=$data['t_nopenetapan']?>">
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Tgl. Ketetapan</label>
                            <div class="col-md-2">
                                <input type="text" id="t_tglpenetapan" class="form-control" readonly="" value="<?=date('d-m-Y', strtotime($data['t_tglpenetapan']))?>">
                            </div>
                            <label class="col-sm-2 control-label">Tgl. Jatuh Tempo</label>
                            <div class="col-md-2">
                                <input type="text" id="t_tgljatuhtempo" class="form-control" readonly="" value="<?=date('d-m-Y', strtotime($data['t_tgljatuhtempo']))?>" style="background:green; color: white; padding: 7px 10px; height:40px; font-size: 16px; font-weight:bolder">
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Jumlah Ketetapan</label>
                            <div class="col-md-4">
                                <?= $this->formText($form->get("t_jmlhpajak")) ?>
                            </div>
                        </div>
                    </div>
                    <div class="row pad10B">
                        <div class="col-sm-12">
                            <div class="alert alert-danger">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data Permohonan Keberatan</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Tgl. Permohonan</label>
                            <div class="col-md-2">
                                <?= $this->formText($form->get("t_tglketetapankeberatan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Alasan Keberatan</label>
                            <div class="col-md-6">
                                <?= $this->formTextarea($form->get("t_alasankeberatan")) ?>
                            </div>
                        </div>
                    </div>
                    <div class="row pad10B">
                        <div class="col-sm-12">
                            <div class="alert alert-warning">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data Keputusan Keberatan</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-3 control-label">Tgl. Keputusan</label>
                            <div class="col-md-2">
                                <?= $this->formText($form->get("t_tglverifikasi")) ?>
                            </div>
                        </div>
						<div class="col-sm-12">
                            <label class="col-sm-3 control-label">Nomor SK</label>
                            <div class="col-md-3">
                                <?= $this->formText($form->get("t_nomorsk")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-3 control-label">Persentase disetujui (%)</label>
                            <div class="col-md-2">
                                <?= $this->formText($form->get("t_nilaipengurangan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-3 control-label">Jumlah Ketetapan Sebelumnya</label>
                            <div class="col-md-4">
                                <?= $this->formText($form->get("t_jmlhpajak")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-3 control-label">Jumlah Pengurangan</label>
                            <div class="col-md-4">
                                <?= $this->formText($form->get("t_jmlhpengurangan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-3 control-label">Jumlah Ketetapan Keberatan</label>
                            <div class="col-md-4">
                                <?= $this->formText($form->get("t_jmlhditetapkan")) ?>
                            </div>
                        </div>
                    </div>
                    <div class="bg-default" id="tombolsimpan">
                        <?= $this->formInput($form->get('submit')) ?> 
                    </div>
                    <?= $this->form()->closeTag($form) ?>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="loading-spinner" tabindex="-1" aria-hidden="true" style="text-align: center;width: 100%;">
    <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
    <!--<span style="color:#FFF;">Mohon Tunggu....</span>-->
</div>
<script>
    $('#submit').click(function () {
        var myForm = document.getElementById('demo-form');
        myForm.onsubmit = function () {
            var allInputs = myForm.getElementsByTagName('input');
            var input, i;

            for (i = 0; input = allInputs[i]; i++) {
                if (input.getAttribute('name') && !input.value) {
                    //input.setAttribute('name', '');

                } else {
                    jQuery('#loading-spinner').modal('show');
                }
            }
        };
    });

    $('#t_nilaipengurangan').keyup(function () {
        $.post('<?= $this->url() ?>/hitungnilaipengurangan', {
            t_nilaipengurangan: $('#t_nilaipengurangan').val(), 
            t_jmlhpajak: $('#t_jmlhpajak').val(), 
            t_jmlhpengurangan: $('#t_jmlhpengurangan').val()
        }, function (data) {
            var aa = JSON.parse(data);
            $("#t_jmlhpengurangan").val(aa.t_jmlhpengurangan);
            $("#t_jmlhditetapkan").val(aa.t_jmlhditetapkan);
        });
    });
    
    $('#t_jumlahkaliangsuran').change(function () {
        $.post('<?= $this->url() ?>/CariJumlahKaliAngsuran', {t_jumlahkaliangsuran: $('#t_jumlahkaliangsuran').val(), t_tglketetapanangsuran: $('#t_tglketetapanangsuran').val(), t_tgljatuhtempo: $('#t_tgljatuhtempo').val(), t_jmlhpajak: $('#t_jmlhpajak').val()}, function (data) {
            var aa = JSON.parse(data);
            $("#rincianangsuran").html(aa.rincianangsuran);
        });
    });

    $('#t_tglketetapanangsuran').change(function () {
        $.post('<?= $this->url() ?>/CariJumlahKaliAngsuran', {t_jumlahkaliangsuran: $('#t_jumlahkaliangsuran').val(), t_tglketetapanangsuran: $('#t_tglketetapanangsuran').val(), t_tgljatuhtempo: $('#t_tgljatuhtempo').val(), t_jmlhpajak: $('#t_jmlhpajak').val()}, function (data) {
            var aa = JSON.parse(data);
            $("#rincianangsuran").html(aa.rincianangsuran);
        });
    });
</script>
<div class="modal fade" id="modalKetetapan" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b><div id="judulketetapan"></div></b></h4>
            </div>
            <div class='modal-body'>
                <div>
                    <table class="table table-condensed table-bordered cf" style="font-size: 11px; color: black">
                        <thead class="cf">
                            <tr class="bg-blue">
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    NIOP
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Nama OP
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    NPWPD
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Nama WP
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    No. <div id="namaketetapan"></div>
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Tgl. <div id="namaketetapan1"></div>
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Jumlah Pajak (Rp.)
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Pilihan
                                </th>
                            </tr>
                            <tr>
                                <td>
                                    <input type="text" id="t_nopcari" class="form-control input-sm" onkeyup="calldataGridKetetapan()">
                                </td>
                                <td>
                                    <input type="text" id="t_namaobjekcari" class="form-control input-sm" onkeyup="calldataGridKetetapan()">
                                </td>
                                <td>
                                    <input type="text" id="t_npwpdwpcari" class="form-control input-sm" onkeyup="calldataGridKetetapan()">
                                </td>
                                <td>
                                    <input type="text" id="t_namawpcari" class="form-control input-sm" onkeyup="calldataGridKetetapan()">
                                </td>
                                <td>
                                    <input type="text" id="t_nopenetapancari" class="form-control input-sm" onkeyup="calldataGridKetetapan()">
                                </td>
                                <td></td>
                                <td></td>
                                <td></td>
                            </tr>
                        </thead>
                        <tbody id="listketetapan">
                        </tbody>
                        <tfoot>              
                            <tr>
                                <td colspan="8" class="text-center">
                                    <div class="row">
                                        <div class="col-sm-4 text-left">Jumlah Baris Ditampilkan: <input type="text" id="rows" style="width: 20%" class="text-center" value="10"></div>
                                        <div class="col-sm-3">
                                            <a href="#" onclick="calldataGridKetetapan(1);
                                                    return false;"><span class="glyphicon glyphicon-step-backward" aria-hidden="true"></span></a>

                                            <input type="text" id="page" value="1" style="width: 20%" class="text-center">

                                            <a href="#" onclick="calldataGridKetetapan(2);
                                                    return false;"><span class="glyphicon glyphicon-step-forward" aria-hidden="true"></span></a>
                                        </div>
                                        <div class="col-sm-5 text-right">
                                            <p>Jumlah Data <span id="total_data"></span>&nbsp;Jumlah Halaman <span id="total_halaman"></span></p>                                    
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-xs" style="width: 300px">
        <div class="modal-content">
            <div class="modal-header bg-danger">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><span class="glyph-icon icon-warning"></span><b> Peringatan</b></h4>
            </div>
            <div class="modal-body">
                <p style="font-weight: bold">Pilih "Jenis Ketetapan" Terlebih Dahulu.</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger btn-xs" data-dismiss="modal"><span class="glyph-icon icon-close"></span> Close</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        $('#t_alasankeberatan').attr('readonly', 'true');
    });

    $('#t_jenisketetapan').change(function () {
        $('#t_namawp').val('');
        $('#t_npwpdwp').val('');
        $('#t_alamat_lengkap').val('');
        $('#t_namaobjek').val('');
        $('#t_nop').val('');
        $('#t_alamatlengkapobjek').val('');
        $('#t_namaketetapan').val('');
        $('#t_nopenetapan').val('');
        $('#t_tglpenetapan').val('');
        $('#t_jmlhpajak').val('');
    });

    $('#cariketetapan').click(function () {
        if ($("#t_jenisketetapan").val() == '') {
            $('#myModal').modal('show');
        } else {
            calldataGridKetetapan();
            $('#modalKetetapan').modal('show');
        }
    });

    function calldataGridKetetapan(direction) {
        dataGridKetetapan($("#page").val(), $("#rows").val(), direction);
    }

    function dataGridKetetapan(page, row, direction) {
        $.post('<?= $this->url() ?>/dataGridKetetapan/' + page + '/' + row + '/' + direction + '?t_nop=' + $("#t_nopcari").val() + "&t_namaobjek=" + $("#t_namaobjekcari").val() + "&t_npwpdwp=" + $("#t_npwpdwpcari").val() + "&t_namawp=" + $("#t_namawpcari").val() + "&t_nopenetapan=" + $("#t_nopenetapancari").val() + "&t_jenisketetapan=" + $("#t_jenisketetapan").val(), function (data) {
            var aa = JSON.parse(data);
            $("#listketetapan").html(aa.grid);
            $("#rows").val(aa.rows);
            $("#page").val(aa.page);
            $("#total_data").html(": " + aa.count);
            $("#total_halaman").html(": " + aa.total_halaman);
            $("#judulketetapan").html(aa.judulketetapan);
            $("#namaketetapan").html(aa.namaketetapan);
            $("#namaketetapan1").html(aa.namaketetapan);
        });
    }

    function pilihKetetapan(a, b) {
        $.post('<?= $this->url() ?>/pilihKetetapan', {t_idketetapan: a, t_jenisketetapan: b}, function (data) {
            var aa = JSON.parse(data);
            $('#t_idwpobjek').val(aa.t_idwpobjek);
            $('#t_namawp').val(aa.t_namawp);
            $('#t_npwpdwp').val(aa.t_npwpdwp);
            $('#t_alamat_lengkap').val(aa.t_alamat_lengkap);
            $('#t_namaobjek').val(aa.t_namaobjek);
            $('#t_nop').val(aa.t_nop);
            $('#t_alamatlengkapobjek').val(aa.t_alamatlengkapobjek);
            $('#t_namaketetapan').val(aa.t_namaketetapan);
            $('#t_jenispajak').val(aa.t_jenispajak);
            $('#t_idketetapan').val(aa.t_idketetapan);
            $('#t_nopenetapan').val(aa.t_nopenetapan);
            $('#t_tglpenetapan').val(aa.t_tglpenetapan);
            $('#t_tgljatuhtempo').val(aa.t_tgljatuhtempo);
            $('#t_jmlhpajak').val(aa.t_jmlhpajak);
            $('#modalKetetapan').modal('hide');
        });
    }
</script>